Skip to content

getPlaylistAssignment

GET
/api/v1/screens/{id}/playlist-assignment
curl --request GET \
--url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/playlist-assignment

Get playlist assignment. Requires an authenticated dashboard user.

id
required
string format: uuid

Assignment, manifest, download, playback, and cache status

Media typeapplication/json
object
data
required
object
screenId
required
string format: uuid
playlistId
string format: uuid
playlistName
string
playlistRevision
integer format: int64
>= 1
layoutId
string format: uuid
layoutName
string
layoutRevision
integer format: int64
>= 1
presentationType
string
Allowed values: playlist layout
manifestVersion
required
integer format: int64
playerActiveManifestVersion
integer format: int64
playerPendingManifestVersion
integer format: int64
synchronizationStatus
required
string
Allowed values: not_reported current preparing out_of_date
downloadQueueCount
integer
downloadedBytes
integer format: int64
requiredBytes
integer format: int64
cacheUsedBytes
integer format: int64
cacheLimitBytes
integer format: int64
currentItemId
string format: uuid
currentAssetId
string format: uuid
playbackState
string
lastSynchronizationError
string
lastPlaybackError
string
currentScheduleId
string format: uuid
currentPlaylistId
string format: uuid
selectionSource
string
Allowed values: takeover quick_present schedule direct_fallback none
nextTransitionAt
string format: date-time
deviceClockOffsetSeconds
integer format: int64
scheduleEvaluationError
string
scheduleManifestVersion
integer format: int64
groups
required
Array<object>
object
id
required
string format: uuid
name
required
string
relevantSchedules
required
Array<object>
object
id
required
string format: uuid
name
required
string
playlistName
required
string
presentationType
required
string
Allowed values: playlist layout
priority
required
integer
enabled
required
boolean
clockSkewWarningSeconds
required
integer
currentWebsiteAssetId
string format: uuid
websiteState
string
websiteLoadStartedAt
string format: date-time
websiteLoadCompletedAt
string format: date-time
websiteFailureCategory
string
websiteBlockedNavigationCount
integer
websiteCurrentHost
string
websiteFallbackShown
boolean
websiteRendererRecoveryCount
integer
activeTakeoverId
string format: uuid
takeoverState
string
takeoverPreparationProgress
integer
playbackDisabled
required
boolean
lastCommandId
string format: uuid
lastCommandState
string
lastCommandResult
string
lastCommandCompletedAt
string format: date-time
activeConfigRevision
integer format: int64
configurationError
string
Example
{
"data": {
"presentationType": "playlist",
"synchronizationStatus": "not_reported",
"selectionSource": "takeover",
"relevantSchedules": [
{
"presentationType": "playlist"
}
]
}
}

Screen or assignment not found